summaryrefslogtreecommitdiff
path: root/scripts/mod_helpers.sh
diff options
context:
space:
mode:
authorDominik Sliwa <dominik.sliwa@toradex.com>2017-07-02 16:41:37 +0200
committerDominik Sliwa <dominik.sliwa@toradex.com>2017-07-02 16:41:37 +0200
commit52409fae3e4b8d16b68b61902fc09075cd97b75d (patch)
treee67110145c5843b3f199d872ae285e2546c9ebe2 /scripts/mod_helpers.sh
Backports generated from 4.11 kernel
Initial commit. Signed-off-by: Dominik Sliwa <dominik.sliwa@toradex.com>
Diffstat (limited to 'scripts/mod_helpers.sh')
-rw-r--r--scripts/mod_helpers.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/scripts/mod_helpers.sh b/scripts/mod_helpers.sh
new file mode 100644
index 0000000..0845b3e
--- /dev/null
+++ b/scripts/mod_helpers.sh
@@ -0,0 +1,11 @@
+function mod_filename()
+{
+ which modinfo > /dev/null 2>&1
+ if [[ $? -eq 0 ]]; then
+ MOD_QUERY="modinfo -F filename"
+ else
+ MOD_QUERY="modprobe -l"
+ fi
+ mod_path="$($MOD_QUERY $1 | tail -1)"
+ echo $(basename "$mod_path")
+}